<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2004</year><year>2013</year>
      <holder>Ericsson AB. All Rights Reserved.</holder>
    </copyright>
    <legalnotice>
      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at
 
          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
    
    </legalnotice>

    <title>os_mon_mib</title>
    <prepared>Ingela Andin</prepared>
    <responsible></responsible>
    <docno></docno>
    <date></date>
    <rev></rev>
  </header>
  <module>os_mon_mib</module>
  <modulesummary>Loading and Unloading of OTP-OS-MON-MIB</modulesummary>
  <description>
    <p>Functions for loading and unloading the OTP-OS-MON-MIB into/from
      an SNMP agent. The instrumentation of the OTP-OS-MON-MIB uses
      Mnesia, hence Mnesia must be started prior to loading
      the OTP-OS-MON-MIB.</p>
  </description>
  <funcs>
    <func>
      <name>load(Agent) -> ok | {error, Reason}</name>
      <fsummary>Load the OTP-OS-MON-MIB</fsummary>
      <type>
        <v>Agent = pid() | atom()</v>
        <v>Reason = term()</v>
      </type>
      <desc>
        <p>Loads the OTP-OS-MON-MIB.</p>
      </desc>
    </func>
    <func>
      <name>unload(Agent) -> ok | {error, Reason}</name>
      <fsummary>Unload the OTP-OS-MON-MIB</fsummary>
      <type>
        <v>Agent = pid() | atom() </v>
        <v>Reason = term()</v>
      </type>
      <desc>
        <p>Unloads the OTP-OS-MON-MIB.</p>
      </desc>
    </func>
  </funcs>

  <section>
    <title>See Also</title>
    <p><seealso marker="os_mon_app">os_mon(6)</seealso>,
      <seealso marker="snmp:snmp">snmp(3)</seealso></p>
  </section>
</erlref>

